Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008726opensim[REGION] OpenSim Corepublic2020-07-10 00:182020-07-24 20:47
ReporterMonamusa Kaliopov 
Assigned ToMonamusa Kaliopov 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinux DebianOSLinuxOS Version9.4
Product Version0.9.1.0 
Target VersionFixed in Versionmaster (dev code) 
Summary0008726: Util STP threadfunc 5 terminated with error
Description2020-07-10 09:08:12,827 ERROR [UTIL]: Util STP threadfunc 5 terminated with error
System.ObjectDisposedException: The collection has been disposed.
Object name: 'BlockingCollection'.
  at System.Collections.Concurrent.BlockingCollection`1[T].CheckDisposed () [0x00008] in <4e15bbae9d7043d8afd6cfd50bd9bd5a>:0
  at System.Collections.Concurrent.BlockingCollection`1[T].get_Count () [0x00000] in <4e15bbae9d7043d8afd6cfd50bd9bd5a>:0
  at OpenSim.Framework.Monitoring.JobEngine.ProcessRequests (System.Object o) [0x00066] in <079bfe1399b74c0a897a4c3efdb1381a>:0
  at OpenSim.Framework.Util+<>c__DisplayClass192_0.<FireAndForget>b__1 (System.Object o) [0x0007f] in <b928a95ffe3440d58139a71f7d609443>:0
Steps To Reproducesee that error so i shutdown the Region
Additional Information6 Instances newest Master
TagsNo tags attached.
Git Revision or version numberMaster (10 Jul 2020)
Run Mode Grid (Multiple Regions per Sim)
Physics EngineubODE
Script EngineXEngine
EnvironmentMono / Linux64
Mono Version6.x
Viewer
Attached Files

- Relationships

-  Notes
(0036591)
tampa (reporter)
2020-07-10 06:09

That is a known issue that is a bit hard to track as it is often random, I see up to three of those on shutdown, but sometimes on one or even none at all. It shouldn't cause any adverse effects or halt shutdown so can be ignored for now. Should eventually attempt to fix that, but it's one of those mono things that are just, for lack of a better word, glitchy
(0036592)
UbitUmarov (administrator)
2020-07-10 06:21

Yes this is bad mono ( more rare ) windoes termination process, kinda related to cntr-c freezing on mono.
We would need to go by all the multiply things running in paralell to stop them all, something that is .net job.
(0036596)
Monamusa Kaliopov (reporter)
2020-07-10 21:14

I took a closer look at it today, it occurs irregularly at different instances. Sometimes with one and now and then with several instances.
(0036636)
Monamusa Kaliopov (reporter)
2020-07-23 23:27

Has the error been corrected or the output in the regions console suppressed?

I haven't seen this error in the OpenSim.log for days
(0036638)
Monamusa Kaliopov (reporter)
2020-07-24 20:46

we dont see that Error Info in OpenSim.log ... we can reopen so we need
(0036639)
Monamusa Kaliopov (reporter)
2020-07-24 20:47

we can reopen so we see that error again.

- Issue History
Date Modified Username Field Change
2020-07-10 00:18 Monamusa Kaliopov New Issue
2020-07-10 06:09 tampa Note Added: 0036591
2020-07-10 06:09 tampa Status new => acknowledged
2020-07-10 06:21 UbitUmarov Note Added: 0036592
2020-07-10 21:14 Monamusa Kaliopov Note Added: 0036596
2020-07-23 23:27 Monamusa Kaliopov Note Added: 0036636
2020-07-24 20:46 Monamusa Kaliopov Note Added: 0036638
2020-07-24 20:47 Monamusa Kaliopov Note Added: 0036639
2020-07-24 20:47 Monamusa Kaliopov Status acknowledged => resolved
2020-07-24 20:47 Monamusa Kaliopov Fixed in Version => master (dev code)
2020-07-24 20:47 Monamusa Kaliopov Resolution open => fixed
2020-07-24 20:47 Monamusa Kaliopov Assigned To => Monamusa Kaliopov


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker